### Method

# EBackend Backend set_connectable

since: 3.8

#### Declaration [src]

    void
    e_backend_set_connectable (
      EBackend* backend,
      GSocketConnectable* connectable
    )

#### Description [src]

Sets the socket endpoint for the network service to which `backend` is a client. This can be `NULL` if `backend` does not use network sockets.

The initial value of the `EBackend:connectable` property is derived from the `ESourceAuthentication` extension of the `backend`‘s `EBackend:source` property, if the extension is present.

Available since: 3.8

Sets property | `EBackend.Backend:connectable`

#### Parameters

`connectable`

  Type: `GSocketConnectable`

  A `GSocketConnectable`, or `NULL`.

  The data is owned by the caller of the method.